## telephony-app 0.64

=== CMakeLists.txt ===
project(telephony-app)
cmake_minimum_required(VERSION 2.8)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

# Standard install paths
include(GNUInstallDirs)

set(TELEPHONY_APP_DIR ${CMAKE_INSTALL_DATADIR}/telephony-app)

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

find_package(Qt4 REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(QtMobility COMPONENTS Contacts REQUIRED)

pkg_check_modules(TP_QT4 REQUIRED TelepathyQt4)
pkg_check_modules(TPL_QT4 REQUIRED TelepathyLoggerQt4)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(NOTIFY REQUIRED libnotify)
pkg_check_modules(INDICATE_QT REQUIRED indicate-qt)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

set(TELEPHONY_APP telephony-app)

set(telephony_app_HDRS
    telephonyapplication.h
    telephonyappdbus.h)

set(telephony_app_SRCS
    telephonyapplication.cpp
    telephonyappdbus.cpp
    main.cpp)

qt4_add_dbus_adaptor(telephony_app_SRCS TelephonyApp.xml telephonyappdbus.h TelephonyAppDBus)
qt4_wrap_cpp(telephonyapplication_MOC_SRCS ${telephony_app_HDRS})
add_executable(${TELEPHONY_APP}
    ${telephonyapplication_MOC_SRCS}
    ${telephony_app_SRCS}
    )

target_link_libraries(${TELEPHONY_APP}
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTNETWORK_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    )

install(TARGETS ${TELEPHONY_APP}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )

configure_file(org.freedesktop.Telepathy.Client.TelephonyApp.service.in org.freedesktop.Telepathy.Client.TelephonyApp.service)
install(FILES ${CMAKE_BINARY_DIR}/org.freedesktop.Telepathy.Client.TelephonyApp.service DESTINATION share/dbus-1/services)
install(FILES TelephonyApp.client DESTINATION share/telepathy/clients)
file(GLOB QML_JS_FILES *.qml *.js)

configure_file(com.canonical.TelephonyApp.service.in com.canonical.TelephonyApp.service)
install(FILES ${CMAKE_BINARY_DIR}/com.canonical.TelephonyApp.service DESTINATION share/dbus-1/services)

install(FILES ${QML_JS_FILES}
    DESTINATION ${TELEPHONY_APP_DIR}
    )

set(QML_DIRS
    DetailViewCallLog
    DetailViewContact
    DetailViewKeypad
    DetailViewLiveCall
    DetailViewVoicemail
    DetailViewMessages
    LiveCallDetailView
    PanelCalls
    PanelContacts
    PanelMessages
    Panes
    Widgets
    )

install(DIRECTORY ${QML_DIRS}
    DESTINATION ${TELEPHONY_APP_DIR}
    )

set(ASSETS_DIR assets)

install(DIRECTORY ${ASSETS_DIR}
    DESTINATION ${TELEPHONY_APP_DIR}
    )

set(DUMMYDATA_DIR dummydata)

install(DIRECTORY ${DUMMYDATA_DIR}
    DESTINATION ${TELEPHONY_APP_DIR}
    )

install(FILES ${TELEPHONY_APP}.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
    )

enable_testing()

add_subdirectory(TelephonyApp)
add_subdirectory(TelephonyAppApprover)
add_subdirectory(icons)

=== TelephonyApp/CMakeLists.txt ===
# QML plugin

set(plugin_SRCS
    abstractloggermodel.cpp
    calllogmodel.cpp
    calllogproxymodel.cpp
    contactaddress.cpp
    contactdetail.cpp
    contactemailaddress.cpp
    contactentry.cpp
    contactmodel.cpp
    contactname.cpp
    contactonlineaccount.cpp
    contactphonenumber.cpp
    contactproxymodel.cpp
    components.cpp
    channelhandler.cpp
    channelobserver.cpp
    chatmanager.cpp
    callentry.cpp
    callmanager.cpp
    messagelogmodel.cpp
    messagesproxymodel.cpp
    telepathyhelper.cpp
    buttonmaskeffect.cpp
    modelsectioncounter.cpp
    )

set(plugin_HDRS
    abstractloggermodel.h
    calllogmodel.h
    calllogproxymodel.h
    contactaddress.h
    contactdetail.h
    contactemailaddress.h
    contactentry.h
    contactmodel.h
    contactname.h
    contactonlineaccount.h
    contactphonenumber.h
    contactproxymodel.h
    components.h
    channelhandler.h
    channelobserver.h
    chatmanager.h
    callentry.h
    callmanager.h
    messagelogmodel.h
    messagesproxymodel.h
    telepathyhelper.h
    buttonmaskeffect.h
    modelsectioncounter.h
    )

qt4_wrap_cpp(plugin_MOC_SRCS ${plugin_HDRS})

include_directories(
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTDECLARATIVE_INCLUDE_DIR}
    ${QTMOBILITY_CONTACTS_INCLUDE_DIR}
    ${QTMOBILITY_INCLUDE_DIR}
    ${TP_QT4_INCLUDE_DIRS}
    ${TPL_QT4_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    )

add_library(telephony-qml SHARED ${plugin_SRCS} ${plugin_HDRS} ${plugin_MOC_SRCS})

target_link_libraries(telephony-qml
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${QTMOBILITY_CONTACTS_LIBRARY}
    ${TP_QT4_LIBRARIES}
    ${TPL_QT4_LIBRARIES}
    ${GLIB_LIBRARIES}
    )

set(PLUGIN_DIR ${QT_IMPORTS_DIR}/TelephonyApp)
install(TARGETS telephony-qml DESTINATION ${PLUGIN_DIR})
install(FILES qmldir DESTINATION ${PLUGIN_DIR})

# deactivated unit tests until they pass in a clean chroot
add_subdirectory(tests)

=== TelephonyAppApprover/CMakeLists.txt ===

set(qt_SRCS telephonyappapprover.cpp textchannelobserver.cpp voicemailindicator.cpp telepathyhelper.cpp)
set(qt_HDRS telephonyappapprover.h textchannelobserver.h voicemailindicator.h telepathyhelper.h)
set(approver_SRCS main.cpp ${qt_SRCS})
set(approver_HDRS ${qt_HDRS})
set(desktop_FILES telephony-app-sms.desktop telephony-app-phone.desktop)
qt4_automoc(${qt_SRCS})
QT4_WRAP_CPP(qt_moc_SRCS ${qt_HDRS})

include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${TP_QT4_INCLUDE_DIRS}
    ${NOTIFY_INCLUDE_DIRS}
    ${INDICATE_QT_INCLUDE_DIRS}
    )

add_executable(telephony-app-approver ${approver_SRCS} ${approver_HDRS} ${qt_moc_SRCS})

target_link_libraries(telephony-app-approver
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${TP_QT4_LIBRARIES}
    ${NOTIFY_LIBRARIES}
    ${INDICATE_QT_LIBRARIES}
    )

install(TARGETS telephony-app-approver RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES org.freedesktop.Telepathy.Client.TelephonyAppApprover.service DESTINATION share/dbus-1/services)
install(FILES TelephonyAppApprover.client DESTINATION share/telepathy/clients)
install(FILES ${desktop_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES telephony-app-approver.desktop DESTINATION /etc/xdg/autostart)

add_subdirectory(icons)

=== TelephonyApp/tests/CMakeLists.txt ===
include_directories(
    ${QT_QTTEST_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/TelephonyApp
    )

macro(generate_tests)
    foreach(test ${ARGN})
        qt4_generate_moc(${test}.cpp ${test}.moc)
        add_executable(${test} ${test}.cpp ${test}.moc)
        target_link_libraries(${test}
            ${QT_QTTEST_LIBRARIES}
            ${QT_QTCORE_LIBRARIES}
            ${QT_QTGUI_LIBRARIES}
            ${QT_QTDBUS_LIBRARIES}
            ${TPL_QT4_LIBRARIES}
            telephony-qml
            )
        add_test(${test} ${CMAKE_CURRENT_BINARY_DIR}/${test})
    endforeach(test)
endmacro(generate_tests)

generate_tests(
    TemplateTest
    ContactModelTest
    ContactEntryTest
    ContactProxyModelTest
    ContactDetailsTest
#    ModelSectionCounterTest --> disabled due to bug #1046821
    )

=== debian/changelog ===
telephony-app (0.64) precise; urgency=low

  * Force UI update while adding events from logger to the model.

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 23 May 2013 15:22:09 -0300

telephony-app (0.63) precise; urgency=low

  * Force UI update to avoid unresponsiveness during app launch. (LP: #1164162)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 10 May 2013 14:12:22 -0300

telephony-app (0.62) precise; urgency=low

  * Create a new contact when clicking on unknown contacts. (LP: #1103257)
  * Remove "add to conference" button from live call view (LP: #1108131)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Fri, 05 Apr 2013 11:10:36 -0300

telephony-app (0.61) precise; urgency=low

  * Add support for custom types

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Wed, 13 Mar 2013 18:39:23 -0300

telephony-app (0.60) precise; urgency=low

  * Fix non-ASCII character SMS message display. (LP: #1045647)

 -- Yuan-Chen Cheng <yc.cheng@canonical.com>  Mon, 11 Mar 2013 10:53:38 +0800

telephony-app (0.59) precise; urgency=low

  * Fix broken test

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 15 Jan 2013 16:45:35 -0800

telephony-app (0.58) precise; urgency=low

  * Do not add empty address fields. (LP: #1030137)

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 15 Jan 2013 18:52:31 -0200

telephony-app (0.57) precise; urgency=low

  [ Tiago Salem Herrmann ]
  * Do not call requestClose() after hanging up a call.
  * Validate the phone number before sending the message. (LP: #1029619)
  * Change contactId to phoneNumber, as the variable name
    "contactId" is used in another context.
  * Try to find the customId in the current contact list before
    asking android for it. (LP: #1030124)
  * Enable speaker mode if the call was answered from ubuntu,
    or if it was started from telephony-app. (LP: #1022752)
  * Use callState() only after the feature is complete.
  * Show "Unknown number" and "Private number" instead of "#" and "-2" (LP: #1031949)

  [ Gustavo Pichorim Boiko ]
  * Filter out entities not used to fetch messages or call log. This should
    reduce the amount of data processed to get the events.
  * Do not use the emit, signals and slots keywords.
  * Make sure the call log is not shown (not even briefly) when adding new contacts.
    (LP: #1019040)
  * Make the comparePhoneNumbers function static.
  * Search all messages instead of searching just the latest ones. (LP: #1015394)
  * Add the message id to all messages and check for duplicates that might arrive
    from both telepathy and logger. (LP: #1031905)
  * Add unit tests to check ContactModel functionality.
  * Check if another instance of the telephony-app is running using DBus instead
    of using qtsingleapplication.

  [ Renato Araujo Oliveira Filho ]
  * Created new dbus method "CallNumber(s)"

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Tue, 04 Dec 2012 10:56:52 -0800

telephony-app (0.56) precise; urgency=low

  [ Olivier Tilloy ]
  * Work around the fact that the scrollbar proximity sensor eats
    mouse clicks. (LP: #1030136)

  [ Gustavo Pichorim Boiko ]
  * Add the correct icon for the phone/voicemail indicator. (LP: #1029708)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Wed, 01 Aug 2012 10:45:10 -0300

telephony-app (0.55) precise; urgency=low

  [ Tiago Salem Herrmann ]
  * reset the proxy model when logger is fully loaded (LP: #1028166)

  [ Gustavo Pichorim Boiko ]
  * Make sure the telephony-app uses the correct timestamp for received messages.
    (LP: #1031472)
  * Use the comparePhoneNumbers() in chatmanager to check for existing text
    channels. (LP: #1030116)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Tue, 31 Jul 2012 17:33:14 -0300

telephony-app (0.54) precise; urgency=low

  [ Florian Boucault ]
  * Fixed out of source building of unit tests. (LP: #1029997)

  [ Olivier Tilloy ]
  * Raise and activate the window when an incoming call is accepted.
    (LP: #1020157)

  [ Renato Araujo Oliveira Filho ]
  * Fixed application loader from dbus method. (LP: #1029120 LP: #1029124)

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Mon, 30 Jul 2012 12:55:22 -0300

telephony-app (0.53) precise; urgency=low

  [ Tiago Salem Herrmann ]
  * change "No Name" in live call view to "Unknown Contact" (LP: #1029681)

  [ Gustavo Pichorim Boiko ]
  * Make sure the approver gets started when the desktop loads. (LP: #1029890)
  * Do not display the desktop files used only by the indicators. (LP: #1029161)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 27 Jul 2012 13:44:18 -0300

telephony-app (0.52) precise; urgency=low

  * Added constant padding at the top and bottom of the contact details header. (LP: #1029548)
  * Implemented a new Scrollbar widget and added scrollbars to relevant parts of the UI. (LP: #1025780)

 -- Florian Boucault <florian.boucault@canonical.com>  Fri, 27 Jul 2012 16:14:51 +0100

telephony-app (0.51) precise; urgency=low

  * Make sure the logger models are properly updated when phone numbers are added.
    (LP: #1029486 LP: #1029503)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 26 Jul 2012 17:13:00 -0300

telephony-app (0.50) precise; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fixed contact model loader. (LP: #1029063)
  * Does not show folks invisible fields in UI. (LP: #1028210)

  [ Gustavo Pichorim Boiko ]
  * Add an entry to the messaging menu to indicate there is a pending voicemail
    message. (LP: #1025700)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 26 Jul 2012 13:45:23 -0300

telephony-app (0.49) precise; urgency=low

  * Add the new application icons. (LP: #1028480)
  * Make sure the dialpad input gets focused when entering the view. (LP: #1028900)

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Wed, 25 Jul 2012 14:41:47 -0300

telephony-app (0.48) precise; urgency=low



=== debian/control ===
Source: telephony-app
Section: x11
Priority: optional
Maintainer: The Newyork team <newyork@lists.canonical.com>
XSBC-Original-Maintainer: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Build-Depends: debhelper (>= 8.0.0),
               cmake,
               libqt4-dev,
               libtelepathy-qt4-dev,
               qtmobility-dev,
               libtelepathy-logger-qt4-dev,
               libqtgstreamer-dev,
               pkg-config,
               libnotify-dev,
               libindicate-qt-dev,
               libicu-dev
Standards-Version: 3.9.3
Vcs-Bzr: https://code.launchpad.net/~newyork-team/newyork/telephony-app

Package: telephony-app
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdeclarative-contacts,
         libqtfolks1,
         telepathy-mission-control-5,
         libqt4-declarative-shaders,
         libnotify4,
         notify-osd,
         libicu48
Description: An application to execute telephony tasks such as calling and messaging
 An application to execute telephony tasks such as calling and messaging

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_install:
	dh_install --fail-missing

%:
	dh $@ --parallel
